Subject: Louisiana tax notice
From: "LLPS Customer Service" <[email-masked]>
To: "Rick Tankne" <[email-masked]>
Date: Fri, 31 Mar 2017 11:21:35 -0400

Hello Rick.
We received another tax notice, this time from the State of Louisiana. I actually tried to call them to inquire about it but a recording said they had too high of volume of calls to take my call. It's only $12.71 but Joe wanted to make sure we even needed to pay it or check to see if something might not need to be corrected on their end. I can mail over the original if you need it. Please let me know how I should proceed.
Thank you,
Michael B
LLPS